import argparse
import sys

from .coords import Coords
from .imager import Tile, Chunk, Imager


# Main function
def main():
  # Parse the arguments
  parser = argparse.ArgumentParser(prog = sys.argv[0], description = "Generate a big image from tiles generated by Dynmap.")
  parser.add_argument('path', type = str, help = "the path to the tiles generated by Dynmap")
  parser.add_argument('-o', '--output', type = str, default = None, help = "the output directory of the image(s); defaults to the working directory")
  parser.add_argument('-z', '--zoom', type = int, default = 0, help = "the zoom level to use when generating the image; between 0 and 5; defaults to 0")
  args = parser.parse_args(sys.argv[1:])

  # Create an image from the chunk
  imager = Imager(args.path, args.zoom)
  for chunk in imager.get_chunks():
    imager.save_image_chunk(*chunk, args.output)
